<?php

namespace Comitium5\DesignerBundle\Model\Interfaces\Widget;

/**
 * Interface WidgetFavoriteInterface
 *
 * @author Carles Gómez <carles@bab-soft.com>
 * @package Comitium5\DesignerBundle\Model\Interfaces\Widget
 */
interface WidgetFavoriteInterface
{
    /**
     * @param WidgetInterface $widget
     * @return mixed
     */
    public function setWidget(WidgetInterface $widget);

    /**
     * @return mixed
     */
    public function getWidget();

    /**
     * @param int $user
     *
     * @return $this
     */
    public function setUser(int $user);

    /**
     * @return int
     */
    public function getUser(): int;
}
